<?php
date_default_timezone_set('UTC');

function logToFile($var) {
	// Dump $var into a string
	ob_start();
	var_dump($var);
	$data = ob_get_contents();
	ob_end_clean();

      // Gather calling filename and line number
	$backtrace = debug_backtrace();
	$file = $backtrace[0]['file'];
	$line = $backtrace[0]['line'];
	
	// Format message with timestamp
	$timeStamp = date('Ymd@H:m:s');
	$message = "$timeStamp - $file($line): $data";
	
	// Append message to log file
	file_put_contents("log.txt", $message, FILE_APPEND);
}
?> 