<html>
<head>
	<title>PHP Front-end for the CICS Catalog Application</title>
	<style>
	  body { font-family: arial, "lucida console", sans-serif }
	  th { background-color: black; color: white; }
	  tr.odd { background-color:#ccccff; }
	  tr.even { background-color:#eeeeff; }
	</style>
</head>
<body>
<h2>CICS Example Catalog Application</h2>
<?php
// Verify order details
$orderQuantity = $_POST['orderQuantity'];
$userName = $_POST['userName'];
$chargeDepartment = $_POST['chargeDepartment'];
$itemNum = $_POST['itemNum'];
$description = $_POST['description'];
$cost = $_POST['cost'];
if(strlen($userName) == 0) {
   echo "<strong>You must include a User Name with the order!</strong>";
   echo '<p><a href="javascript:history.back()">Back</a></p>';
   return;
}
if(strlen($chargeDepartment) == 0) {
   echo "<strong>You must include a Charge Department with the order!</strong>";
   echo '<p><a href="javascript:history.back()">Back</a></p>';
   return;
}
if(strlen($orderQuantity) == 0) {
   echo "<strong>You must specify an order quanitity!</strong>";
   echo '<p><a href="javascript:history.back()">Back</a></p>';
   return;
}
if($orderQuantity == 0) {
   echo "<strong>You cannot order zero items!</strong>";
   echo '<p><a href="javascript:history.back()">Back</a></p>';
   return;
}

// Call CICS program to process the order
java_import('sample.DFH0XCMN'); 
$commAreaIn = new DFH0XCMN(); 
$commAreaIn->setCaRequestId('01ORDR');     
$commAreaIn->setCaItemRefNumber($itemNum); 
$commAreaIn->setCaQuantityReq($orderQuantity);
$commAreaOut = new DFH0XCMN(); 
$program = new CICSProgram("DFH0XCMN");                   
try {
  $program->link($commAreaIn);
} catch (CICSException $e) {
  echo $e->getMessage();
  exit;
}

$response = $commAreaIn->getCaResponseMessage();
echo $response;
echo '<p><a href="catalog.php">Item List</a></p>';
?>
</body>
</html>
